net.i2p.router.networkdb.kademlia

## Class FloodfillDatabaseStoreMessageHandler

- java.lang.Object
- - net.i2p.router.networkdb.kademlia.FloodfillDatabaseStoreMessageHandler

- All Implemented Interfaces:
    HandlerJobBuilder

      public class FloodfillDatabaseStoreMessageHandler
      extends Object
      implements HandlerJobBuilder

  Handles incoming DatabaseStoreMessage for floodfill network database operations.

  Creates and dispatches HandleFloodfillDatabaseStoreMessageJob instances to process database store requests received from remote peers. Routes messages to the appropriate network database facade based on the received-by field, supporting both floodfill and client database contexts.

  Maintains statistics for store operations including handling counts, processing times, and lease-specific metrics. Provides the entry point for all floodfill database store message processing in the Kademlia network database system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloodfillDatabaseStoreMessageHandler(RouterContext context, FloodfillNetworkDatabaseFacade facade)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Job` | `createJob(I2NPMessage receivedMessage, RouterIdentity from, Hash fromHash)` Create a new job to handle the received message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloodfillDatabaseStoreMessageHandler

          public FloodfillDatabaseStoreMessageHandler(RouterContext context,
                                                      FloodfillNetworkDatabaseFacade facade)

  - ### Method Detail

    - #### createJob

          public Job createJob(I2NPMessage receivedMessage,
                               RouterIdentity from,
                               Hash fromHash)

      Description copied from interface: `HandlerJobBuilder`
      Create a new job to handle the received message.
      Specified by:
        `createJob` in interface `HandlerJobBuilder`
      Parameters:
        `receivedMessage` - I2NP message received
        `from` - router that sent the message (if available)
        `fromHash` - hash of the routerIdentity of the router that sent the message (if available)
      Returns:
        a job or null if no particular job is appropriate (in which case, the message should go into the inbound message pool)